Package org.eclipse.emf.cdo.transfer.spi.ui

## Class TransferUIProvider.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.transfer.spi.ui.TransferUIProvider.Factory

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`
  Enclosing interface:
    TransferUIProvider

      public abstract static class TransferUIProvider.Factory
      extends org.eclipse.net4j.util.factory.Factory

  Creates `TransferUIProvider` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Factory​(java.lang.String type)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract TransferUIProvider` | `create​(java.lang.String description)` |
    `static TransferUIProvider` | `get​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String type)` |
    `static TransferUIProvider[]` | `getAll​(org.eclipse.net4j.util.container.IManagedContainer container)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Factory

          protected Factory​(java.lang.String type)

  - ### Method Detail

    - #### create

          public abstract TransferUIProvider create​(java.lang.String description)
                                             throws org.eclipse.net4j.util.factory.ProductCreationException

      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`

    - #### get

          public static TransferUIProvider get​(org.eclipse.net4j.util.container.IManagedContainer container,
                                               java.lang.String type)

    - #### getAll

          public static TransferUIProvider[] getAll​(org.eclipse.net4j.util.container.IManagedContainer container)